<?php
/**
* Update program for phpScheduleIt
*
* This will update from version 0.9.0 beta to 0.9.0 stable
*
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @version 12-28-03
* @package phpScheduleIt
*/

/**
* Please set this value to a user who has permission to alter tables
*/
$root_user = 'root';
/**
* Please set this value to the password of the user who has permission to alter tables
*/
$root_password = 'password';

/**
* Base directory of application
*/
@define('BASE_DIR', dirname(__FILE__) . '/../..');
/**
* CmnFns class
*/
require_once(BASE_DIR . '/lib/CmnFns.class.php');
/**
* Template class
*/
require_once(BASE_DIR . '/lib/Template.class.php');


$t = new Template('phpScheduleIt Update: 0.9.0 beta to 0.9.0 stable', 2);
// Print HTML headers
$t->printHTMLHeader();
if (!isset($_GET['go'])) {
	CmnFns::do_error_box('This will update your version of phpScheduleIt from 0.9.0 beta to 0.9.0 stable. <br />There is no way to undo this action!', '', false); 
	echo '<h4 align="center"><a href="' . $_SERVER['PHP_SELF'] . '?go=y">Click to proceed</a></h4>';
}
else {
	if (check_version())
		updateVersion($root_user, $root_password);
	else
		echo '<h4 align="center">This version has already been upgraded to 0.9.0 stable.<br />Please delete this file.</h4>';
	
}
$t->printHTMLFooter();

/**
* Check if this version has been upgraded or not
* @param none
* @return true if it can be updated, false if it cannot
*/
function check_version() {
	global $conf;
	$db =  new DBEngine();
	
	$result = $db->db->query('select * from ' . $db->get_table('resources');
	$num = $result->numCols();
	return ($num <= 6);
}

/**
* Make the database updates
* @param string $root_user
* @param string $root_password
*/
function updateVersion($root_user, $root_password) {
	global $conf;
	
    $dsn = $conf['db']['dbType'] . '://' 
			. $root_user 
			. ':' . $root_password
			. '@localhost/' . $conf['db']['dbName'];

    // Make persistant connection to database
    $db = DB::connect($dsn);

    // If there is an error, print to browser, print to logfile and kill app
    if (DB::isError($db)) {
        die ('Error connecting to database: ' . $db->getMessage() );
    }
	
	$dbe = new DBEngine();
	echo '<h5 align="center">Update Log</h5>';
	$query = array (
					array ('UPDATE ' . $dbe->get_table('reservations') . ' SET startTime=startTime*60, endTime=endTime*60',
							'Reservations converted to new format'
							),
					array ('ALTER TABLE ' . $dbe->get_table('reservations') . ' MODIFY startTime integer not null',
							'Field type changed for reservation table'
							),
					array ('ALTER TABLE ' . $dbe->get_table('reservations') . ' MODIFY endTime integer not null',
							'Field type changed for reservation table'
							),
					array ('ALTER TABLE ' . $dbe->get_table('resources') . ' ADD COLUMN minRes integer not null',
							'Minimum reservation length field added to resources table'
							),
					array ('ALTER TABLE ' . $dbe->get_table('resources') . ' ADD COLUMN maxRes integer not null',
							'Maximum reservation length field added to resources table'
							),	
					array ('UPDATE ' . $dbe->get_table('resources') . ' SET minRes = ' . $conf['app']['timeSpan'],
							'Minimum reservation length field defaulted to ' . $conf['app']['timeSpan']
							),
					array ('UPDATE ' . $dbe->get_table('resources') . ' SET maxRes = ' . ($conf['app']['endDay'] - $conf['app']['startDay']),
							'Maximum reservation length field defaulted to ' . ($conf['app']['endDay'] - $conf['app']['startDay'])
							) 
					);
	// Make updates
	
	for ($i = 0; $i < count($query); $i++) {
		$result = $db->query($query[$i][0]);
		if (!$dbe->check_for_error($result))
			echo "<p>{$query[$i][1]}</p>";
	}
	
	echo '<h3>Successfully updated to phpScheduleIt 0.9.0 stable!</h3>';
}
?>